# Uses of Class
org.springframework.jmx.export.metadata.ManagedAttribute

Packages that use ManagedAttribute
Package
Description
org.springframework.jmx.export.annotation
Annotations for MBean exposure.
org.springframework.jmx.export.metadata
Provides generic JMX metadata classes and basic support for reading JMX metadata in a provider-agnostic manner.

## Uses of ManagedAttribute in org.springframework.jmx.export.annotation

Methods in org.springframework.jmx.export.annotation that return ManagedAttribute
Modifier and Type
Method
Description
`ManagedAttribute`
AnnotationJmxAttributeSource.`getManagedAttribute(Method method)`

## Uses of ManagedAttribute in org.springframework.jmx.export.metadata

Fields in org.springframework.jmx.export.metadata declared as ManagedAttribute
Modifier and Type
Field
Description
`static final ManagedAttribute`
ManagedAttribute.`EMPTY`
Empty attributes.
Methods in org.springframework.jmx.export.metadata that return ManagedAttribute
Modifier and Type
Method
Description
`ManagedAttribute`
JmxAttributeSource.`getManagedAttribute(Method method)`
Implementations should return an instance of `ManagedAttribute` if the supplied `Method` has the corresponding metadata.